Skip to content

getPublicAttributes

READ

Get public attributes.

POST /api/v1/account/getPublicAttributes
curl -X POST '<your-host>/api/v1/account/getPublicAttributes' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json'
Response
{
  "results": [
    {
      "id": "string",
      "name": "string",
      "emoji": "string",
      "companyId": "string",
      "userAttribute": [
        {
          "id": "string",
          "name": "string",
          "listOptions": [
            "string"
          ],
          "canSelfManage": true,
          "attributeDataType": {
            "id": 0,
            "isBoolean": true,
            "isDate": true,
            "isNumeric": true,
            "isText": true,
            "isUser": true,
            "isFile": true
          },
          "userAttributeValue": [
            {
              "id": "string",
              "valueBoolean": true,
              "valueDate": "string",
              "valueNumeric": 0,
              "valueText": "string",
              "valueUser": "string",
              "valueFile": "string"
            }
          ]
        }
      ]
    }
  ],
  "count": null
}

Parameters

This operation takes no arguments.

Input schema

schema
{
  "type": "object",
  "properties": {}
}